Subject: Re: Problems with FIND
From: David Means <[email-masked]>
To: [email-masked]
Date: 02 Mar 2003 11:23:05 -0500

'type' reporting the first instance of a file that it finds isn't a
problem.  However, I will assume that when you run the 'find' command,
that you're finding that the windows version of find is running and not
the cygwin version, and that's your problem.

The windows version of 'find' is found in your 'PATH' before the cygwin
version.  This can be solved in one of two ways.  You may edit your
system or user path (via the control panel) and put the cygwin paths
first in your system or user path.  However, I don't recommend this: it
might interfere with a windows program or operation.  Your second option
is to edit either /etc/profile or $HOME/.bash_login or
$HOME/.bash_profile, making sure that the cygwin paths are placed before
the default windows paths.  Specifically, you'd be wanting /usr/bin (if
I recall correctly; I don't have cygwin machine handy right now) first
in the path.  Once this is done, log out of cygwin, log back in and your
paths should be fixed.

On Sun, 2003-03-02 at 05:44, Fernando Bastos wrote:
> Hello,
> When I do 'type find', I pick up the Win find.exe. Well, how can I solve the
> problem? I am not expert enough and I could not find any information about
> that!
> Thanks a lot!
> 
> Bastos
> ==========================================
> Fernando João Pereira de Bastos
> e-mail: [email-masked]
> ==========================================
> 
> 
> ---
> Outgoing mail is certified Virus Free.
> Checked by AVG anti-virus system (http://www.grisoft.com).
> Version: 6.0.459 / Virus Database: 258 - Release Date: 25/02/2003
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
-- 
David Means

sed is ed on LSD 
-- Pat Becker